{ config, lib, ... }:

let
  domain = "htson.giugl.io";
in
{
  services.sonarr = {
    enable = true;
    group = "media";
  };

  architect.vhost.${domain} = with config.architect.networks; {
    dnsInterfaces = [ "tailscale" ];

    locations."/" = {
      port = 8989;
      allowLan = true;
      allow = [
        tailscale.net
      ];
    };
  };

  users.groups.media.members = [ "sonarr" ];
}
